---
apiVersion: v1
kind: Service
metadata:
  name: postfix-kube
  namespace: ci
spec:
  externalIPs:
  - 172.21.0.104
  ports:
  - name: tcp-25
    port: 25
    protocol: TCP
    targetPort: 25
  - name: tcp-465
    port: 465
    protocol: TCP
    targetPort: 465
  selector:
    name: postfix-kube
  sessionAffinity: None
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: cyrus-kube
  namespace: ci
spec:
  externalIPs:
  - 172.21.0.103
  ports:
  - name: tcp-24
    port: 24
    protocol: TCP
    targetPort: 24
  - name: tcp-110
    port: 110
    protocol: TCP
    targetPort: 110
  - name: tcp-143
    port: 143
    protocol: TCP
    targetPort: 143
  - name: tcp-993
    port: 993
    protocol: TCP
    targetPort: 993
  - name: tcp-995
    port: 995
    protocol: TCP
    targetPort: 995
  - name: tcp-4190
    port: 4190
    protocol: TCP
    targetPort: 4190
  selector:
    name: cyrus-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: scrape-me
  name: exporter-postfix-kube
  namespace: ci
spec:
  ports:
  - name: exporter-9113
    port: 9113
    protocol: TCP
    targetPort: 9113
  selector:
    name: postfix-kube
  sessionAffinity: None
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: openldap-kube
  namespace: ci
spec:
  clusterIP: None
  ports:
  - name: tcp-1389
    port: 1389
  - name: tcp-1636
    port: 1636
  selector:
    name: openldap-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: scrape-me
  name: exporter-openldap-kube
  namespace: ci
spec:
  ports:
  - name: exporter-9113
    port: 9113
  selector:
    name: openldap-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: zpush-memcached-kube
  namespace: ci
spec:
  clusterIP: None
  ports:
  - name: tcp-11211
    port: 11211
  publishNotReadyAddresses: true
  selector:
    name: zpush-memcached-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: scrape-me
  name: exporter-zpush-memcached-kube
  namespace: ci
spec:
  ports:
  - name: exporter-9113
    port: 9113
  selector:
    name: zpush-memcached-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: scrape-me
  name: exporter-zpush-mariadb-kube
  namespace: ci
spec:
  ports:
  - name: exporter-9113
    port: 9113
  selector:
    name: zpush-mariadb-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: scrape-me
  name: exporter-zpush-kube
  namespace: ci
spec:
  ports:
  - name: exporter-9113
    port: 9113
  selector:
    name: zpush-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: zpush-mariadb-kube
  namespace: ci
spec:
  ports:
  - name: tcp-3306
    port: 3306
  selector:
    name: zpush-mariadb-kube
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: zpush-kube
  namespace: ci
spec:
  ports:
  - name: tcp-8080
    port: 8080
  selector:
    name: zpush-kube
  type: ClusterIP
